---
apiVersion: v1
kind: Pod
metadata:
  annotations:
    k8s.ovn.org/pod-networks: '{"default":{"ip_addresses":["10.128.0.11/23"],"mac_address":"3e:b5:a6:80:00:0c","gateway_ips":["10.128.0.1"],"ip_address":"10.128.0.11/23","gateway_ip":"10.128.0.1"}}'
    k8s.v1.cni.cncf.io/network-status: |-
      [{
          "name": "ovn-kubernetes",
          "interface": "eth0",
          "ips": [
              "10.128.0.11"
          ],
          "mac": "3e:b5:a6:80:00:0c",
          "default": true,
          "dns": {}
      }]
    k8s.v1.cni.cncf.io/networks-status: |-
      [{
          "name": "ovn-kubernetes",
          "interface": "eth0",
          "ips": [
              "10.128.0.11"
          ],
          "mac": "3e:b5:a6:80:00:0c",
          "default": true,
          "dns": {}
      }]
  creationTimestamp: "2020-05-26T09:36:40Z"
  generateName: etcd-operator-5df455d89d-
  labels:
    app: etcd-operator
    pod-template-hash: 5df455d89d
  managedFields:
  - apiVersion: v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:generateName: {}
        f:labels:
          .: {}
          f:app: {}
          f:pod-template-hash: {}
        f:ownerReferences:
          .: {}
          k:{"uid":"7e5e9164-a190-47ec-b2b0-68dcf9ce5ab8"}:
            .: {}
            f:apiVersion: {}
            f:blockOwnerDeletion: {}
            f:controller: {}
            f:kind: {}
            f:name: {}
            f:uid: {}
      f:spec:
        f:containers:
          k:{"name":"operator"}:
            .: {}
            f:args: {}
            f:command: {}
            f:env:
              .: {}
              k:{"name":"IMAGE"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"OPERAND_IMAGE_VERSION"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"OPERATOR_IMAGE"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"OPERATOR_IMAGE_VERSION"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"POD_NAME"}:
                .: {}
                f:name: {}
                f:valueFrom:
                  .: {}
                  f:fieldRef:
                    .: {}
                    f:apiVersion: {}
                    f:fieldPath: {}
            f:image: {}
            f:imagePullPolicy: {}
            f:name: {}
            f:ports:
              .: {}
              k:{"containerPort":8443,"protocol":"TCP"}:
                .: {}
                f:containerPort: {}
                f:name: {}
                f:protocol: {}
            f:resources:
              .: {}
              f:requests:
                .: {}
                f:cpu: {}
                f:memory: {}
            f:terminationMessagePath: {}
            f:terminationMessagePolicy: {}
            f:volumeMounts:
              .: {}
              k:{"mountPath":"/var/run/configmaps/config"}:
                .: {}
                f:mountPath: {}
                f:name: {}
              k:{"mountPath":"/var/run/configmaps/etcd-ca"}:
                .: {}
                f:mountPath: {}
                f:name: {}
              k:{"mountPath":"/var/run/configmaps/etcd-service-ca"}:
                .: {}
                f:mountPath: {}
                f:name: {}
              k:{"mountPath":"/var/run/secrets/etcd-client"}:
                .: {}
                f:mountPath: {}
                f:name: {}
              k:{"mountPath":"/var/run/secrets/serving-cert"}:
                .: {}
                f:mountPath: {}
                f:name: {}
        f:dnsPolicy: {}
        f:enableServiceLinks: {}
        f:nodeSelector:
          .: {}
          f:node-role.kubernetes.io/master: {}
        f:priorityClassName: {}
        f:restartPolicy: {}
        f:schedulerName: {}
        f:securityContext: {}
        f:serviceAccount: {}
        f:serviceAccountName: {}
        f:terminationGracePeriodSeconds: {}
        f:tolerations: {}
        f:volumes:
          .: {}
          k:{"name":"config"}:
            .: {}
            f:configMap:
              .: {}
              f:defaultMode: {}
              f:name: {}
            f:name: {}
          k:{"name":"etcd-ca"}:
            .: {}
            f:configMap:
              .: {}
              f:defaultMode: {}
              f:name: {}
            f:name: {}
          k:{"name":"etcd-client"}:
            .: {}
            f:name: {}
            f:secret:
              .: {}
              f:defaultMode: {}
              f:secretName: {}
          k:{"name":"etcd-service-ca"}:
            .: {}
            f:configMap:
              .: {}
              f:defaultMode: {}
              f:name: {}
            f:name: {}
          k:{"name":"serving-cert"}:
            .: {}
            f:name: {}
            f:secret:
              .: {}
              f:defaultMode: {}
              f:optional: {}
              f:secretName: {}
    manager: kube-controller-manager
    operation: Update
    time: "2020-05-26T09:36:40Z"
  - apiVersion: v1
    fieldsType: FieldsV1
    fieldsV1:
      f:status:
        f:conditions:
          .: {}
          k:{"type":"PodScheduled"}:
            .: {}
            f:lastProbeTime: {}
            f:lastTransitionTime: {}
            f:message: {}
            f:reason: {}
            f:status: {}
            f:type: {}
    manager: kube-scheduler
    operation: Update
    time: "2020-05-26T09:37:12Z"
  - apiVersion: v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:annotations:
          .: {}
          f:k8s.ovn.org/pod-networks: {}
    manager: ovnkube
    operation: Update
    time: "2020-05-26T09:38:53Z"
  - apiVersion: v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:annotations:
          f:k8s.v1.cni.cncf.io/network-status: {}
          f:k8s.v1.cni.cncf.io/networks-status: {}
    manager: multus
    operation: Update
    time: "2020-05-26T09:38:55Z"
  - apiVersion: v1
    fieldsType: FieldsV1
    fieldsV1:
      f:status:
        f:conditions:
          k:{"type":"ContainersReady"}:
            .: {}
            f:lastProbeTime: {}
            f:lastTransitionTime: {}
            f:status: {}
            f:type: {}
          k:{"type":"Initialized"}:
            .: {}
            f:lastProbeTime: {}
            f:lastTransitionTime: {}
            f:status: {}
            f:type: {}
          k:{"type":"Ready"}:
            .: {}
            f:lastProbeTime: {}
            f:lastTransitionTime: {}
            f:status: {}
            f:type: {}
        f:containerStatuses: {}
        f:hostIP: {}
        f:phase: {}
        f:podIP: {}
        f:podIPs:
          .: {}
          k:{"ip":"10.128.0.11"}:
            .: {}
            f:ip: {}
        f:startTime: {}
    manager: kubelet
    operation: Update
    time: "2020-05-26T09:43:31Z"
  name: etcd-operator-5df455d89d-pnvcj
  namespace: openshift-etcd-operator
  ownerReferences:
  - apiVersion: apps/v1
    blockOwnerDeletion: true
    controller: true
    kind: ReplicaSet
    name: etcd-operator-5df455d89d
    uid: 7e5e9164-a190-47ec-b2b0-68dcf9ce5ab8
  resourceVersion: "8529"
  selfLink: /api/v1/namespaces/openshift-etcd-operator/pods/etcd-operator-5df455d89d-pnvcj
  uid: 2b21c109-ba7f-4a3c-b68d-72408c63ffec
spec:
  containers:
  - args:
    - --config=/var/run/configmaps/config/config.yaml
    - -v=4
    command:
    - cluster-etcd-operator
    - operator
    env:
    - name: IMAGE
      value: registry.svc.ci.openshift.org/ci-ln-6vywnkk/stable@sha256:9a2dabb0c47620333b8ce20eea35c7e080bad1b9f621bfd25f81344dd1f90c28
    - name: OPERATOR_IMAGE
      value: registry.svc.ci.openshift.org/ci-ln-6vywnkk/stable@sha256:1ba5bb562b4a55a3dc4f15f58f67d0e502a377de7eef4ab9e1bf598d3597bfaf
    - name: OPERATOR_IMAGE_VERSION
      value: 0.0.1-2020-05-26-050349
    - name: OPERAND_IMAGE_VERSION
      value: 0.0.1-2020-05-26-050349
    - name: POD_NAME
      valueFrom:
        fieldRef:
          apiVersion: v1
          fieldPath: metadata.name
    image: registry.svc.ci.openshift.org/ci-ln-6vywnkk/stable@sha256:1ba5bb562b4a55a3dc4f15f58f67d0e502a377de7eef4ab9e1bf598d3597bfaf
    imagePullPolicy: IfNotPresent
    name: operator
    ports:
    - containerPort: 8443
      name: metrics
      protocol: TCP
    resources:
      requests:
        cpu: 10m
        memory: 50Mi
    terminationMessagePath: /dev/termination-log
    terminationMessagePolicy: FallbackToLogsOnError
    volumeMounts:
    - mountPath: /var/run/configmaps/config
      name: config
    - mountPath: /var/run/secrets/serving-cert
      name: serving-cert
    - mountPath: /var/run/configmaps/etcd-ca
      name: etcd-ca
    - mountPath: /var/run/configmaps/etcd-service-ca
      name: etcd-service-ca
    - mountPath: /var/run/secrets/etcd-client
      name: etcd-client
    - mountPath: /var/run/secrets/kubernetes.io/serviceaccount
      name: etcd-operator-token-z6q2s
      readOnly: true
  dnsPolicy: ClusterFirst
  enableServiceLinks: true
  nodeName: skumari-gcp-wd9nd-master-0.c.openshift-gce-devel.internal
  nodeSelector:
    node-role.kubernetes.io/master: ""
  priority: 2000000000
  priorityClassName: system-cluster-critical
  restartPolicy: Always
  schedulerName: default-scheduler
  securityContext: {}
  serviceAccount: etcd-operator
  serviceAccountName: etcd-operator
  terminationGracePeriodSeconds: 30
  tolerations:
  - effect: NoSchedule
    key: node-role.kubernetes.io/master
    operator: Exists
  - effect: NoExecute
    key: node.kubernetes.io/unreachable
    operator: Exists
    tolerationSeconds: 120
  - effect: NoExecute
    key: node.kubernetes.io/not-ready
    operator: Exists
    tolerationSeconds: 120
  - effect: NoSchedule
    key: node.kubernetes.io/memory-pressure
    operator: Exists
  volumes:
  - name: serving-cert
    secret:
      defaultMode: 420
      optional: true
      secretName: etcd-operator-serving-cert
  - configMap:
      defaultMode: 420
      name: etcd-operator-config
    name: config
  - configMap:
      defaultMode: 420
      name: etcd-ca-bundle
    name: etcd-ca
  - configMap:
      defaultMode: 420
      name: etcd-service-ca-bundle
    name: etcd-service-ca
  - name: etcd-client
    secret:
      defaultMode: 420
      secretName: etcd-client
  - name: etcd-operator-token-z6q2s
    secret:
      defaultMode: 420
      secretName: etcd-operator-token-z6q2s
status:
  conditions:
  - lastProbeTime: null
    lastTransitionTime: "2020-05-26T09:38:52Z"
    status: "True"
    type: Initialized
  - lastProbeTime: null
    lastTransitionTime: "2020-05-26T09:43:31Z"
    status: "True"
    type: Ready
  - lastProbeTime: null
    lastTransitionTime: "2020-05-26T09:43:31Z"
    status: "True"
    type: ContainersReady
  - lastProbeTime: null
    lastTransitionTime: "2020-05-26T09:38:52Z"
    status: "True"
    type: PodScheduled
  containerStatuses:
  - containerID: cri-o://cffe2072f3f2e4127edaaf49ac1caf18a90ae3076efe90e9d2aec5296ef60588
    image: registry.svc.ci.openshift.org/ci-ln-6vywnkk/stable@sha256:1ba5bb562b4a55a3dc4f15f58f67d0e502a377de7eef4ab9e1bf598d3597bfaf
    imageID: registry.svc.ci.openshift.org/ci-ln-6vywnkk/stable@sha256:1ba5bb562b4a55a3dc4f15f58f67d0e502a377de7eef4ab9e1bf598d3597bfaf
    lastState:
      terminated:
        containerID: cri-o://114aef06deb1ffb6acc1f1c2a9baac06a314fe2b9164194fcb453f4cee5efac5
        exitCode: 0
        finishedAt: "2020-05-26T09:43:18Z"
        reason: Completed
        startedAt: "2020-05-26T09:40:50Z"
    name: operator
    ready: true
    restartCount: 2
    started: true
    state:
      running:
        startedAt: "2020-05-26T09:43:30Z"
  hostIP: 10.0.0.3
  phase: Running
  podIP: 10.128.0.11
  podIPs:
  - ip: 10.128.0.11
  qosClass: Burstable
  startTime: "2020-05-26T09:38:52Z"
